Bug 1532837 - Review Request: python-uranium-lulzbot - A Python framework for building desktop applications
Summary: Review Request: python-uranium-lulzbot - A Python framework for building desk...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-09 21:32 UTC by Tom "spot" Callaway
Modified: 2018-03-22 16:59 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-22 16:48:32 UTC
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2018-01-09 21:32:41 UTC
Spec URL: https://spot.fedorapeople.org/python-uranium-lulzbot.spec
SRPM URL: https://spot.fedorapeople.org/python-uranium-lulzbot-2.6.63-1.fc27.src.rpm
Description: Uranium is a Python framework for building 3D printing related applications.
Fedora Account System Username: spot
Koji F27 Scratch Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=24102401
(Normally, I build rawhide here, but rawhide cannot resolve deps right now, preventing the buildroot from populating)

The lulzbot fork of cura2 needs its matching fork of uranium. It is namespaced off to not conflict with the "normal" uranium, already in Fedora.

Comment 1 Miro Hrončok 2018-01-09 23:36:22 UTC
I suggest the summary and description (or at least the description) should mention this is a fork.

Comment 2 Miro Hrončok 2018-01-10 00:12:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Check license, locale conflicts, directory ownership, see [!]s bellow.

BTW Have you checked whether it works with python3-arcus 3?


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: uranium-lulzbot-2.6.63/UM/SortedList.py is Apache (v2.0)
     You are the legal expert here, so do whatever you see fit, I'd say
     the package is AGPLv3+ and ASL 2.0.
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python3.6/site-packages/CuraLulzbot
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python3.6/site-
     packages/CuraLulzbot
[-]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by:
     /usr/share/cmake(python3-uranium, rapidjson-devel, bash-completion,
     cmake-filesystem), /usr/share/cmake/Modules(python3-uranium, cmake-
     filesystem)
     This is deliberate.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: The spec file handles locales properly.
     The locales are not renamed and some of them will conflict with python3-uranium.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
     The locales will conflict.
     Currently only /usr/share/locale/pt_BR/LC_MESSAGES/uranium.mo
     but later, if this keeps up with upstream changes, all of them will.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[?]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python3
     -uranium-lulzbot , python-uranium-lulzbot-doc
[?]: Package functions as described.
[?]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-uranium-lulzbot-2.6.63-1.fc27.noarch.rpm
          python-uranium-lulzbot-doc-2.6.63-1.fc27.noarch.rpm
          python-uranium-lulzbot-2.6.63-1.fc27.src.rpm
python3-uranium-lulzbot.noarch: W: dangling-relative-symlink /usr/share/uranium-lulzbot/resources/i18n ../../locale
python-uranium-lulzbot.src:118: E: hardcoded-library-path in %{_prefix}/lib/%{shortname}
python-uranium-lulzbot.src: W: invalid-url Source0: uranium-lulzbot-2.6.63.tar.gz
3 packages and 0 specfiles checked; 1 errors, 2 warnings.

All good.



Rpmlint (installed packages)
----------------------------
python3-uranium-lulzbot.noarch: W: invalid-url URL: https://code.alephobjects.com/diffusion/U/repository/master/ <urlopen error [Errno -2] Name or service not known>
python3-uranium-lulzbot.noarch: W: dangling-relative-symlink /usr/share/uranium-lulzbot/resources/i18n ../../locale
python-uranium-lulzbot-doc.noarch: W: invalid-url URL: https://code.alephobjects.com/diffusion/U/repository/master/ <urlopen error [Errno -2] Name or service not known>
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

All good (my mock is without interwebz).


Requires
--------
python3-uranium-lulzbot (rpmlib, GLIBC filtered):
    python(abi) = 3.6
    python3-arcus >= 2.6
    python3-numpy
    python3-qt5
    python3-scipy

python-uranium-lulzbot-doc (rpmlib, GLIBC filtered):



Provides
--------
python3-uranium-lulzbot:
    python3-uranium-lulzbot

python-uranium-lulzbot-doc:
    python-uranium-lulzbot-doc

Comment 3 Tom "spot" Callaway 2018-01-10 15:08:00 UTC
Spec URL: https://spot.fedorapeople.org/python-uranium-lulzbot.spec
SRPM URL: https://spot.fedorapeople.org/python-uranium-lulzbot-2.6.63-2.fc27.src.rpm

Added explicit wording around it being the Lulzbot fork.
Fixed license tag.
Renamed locale files to avoid conflict.
Own %{python3_sitelib}/CuraLulzbot

Yes, I have tested it with python3-arcus v3, seems to work fine.

Comment 4 Miro Hrončok 2018-01-11 12:57:13 UTC
Approved.

Juts a nitpick: I've noticed you define shortname but than use uranium-lulzbot trough the spec a lot.

Comment 5 Gwyn Ciesla 2018-01-11 15:22:48 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-uranium-lulzbot

Comment 6 Fedora Update System 2018-01-11 20:27:21 UTC
lulzbot-marlin-firmware-1.1.5.64-1.fc26 python-uranium-lulzbot-2.6.63-3.fc26 CuraEngine-lulzbot-2.6.63-1.fc26 cura-lulzbot-2.6.63-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c6fd0ee417

Comment 7 Fedora Update System 2018-01-11 20:27:34 UTC
lulzbot-marlin-firmware-1.1.5.64-1.fc27 python-uranium-lulzbot-2.6.63-3.fc27 CuraEngine-lulzbot-2.6.63-1.fc27 cura-lulzbot-2.6.63-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3c9fddee81

Comment 8 Fedora Update System 2018-01-12 15:27:36 UTC
CuraEngine-lulzbot-2.6.63-1.fc26, cura-lulzbot-2.6.63-1.fc26, lulzbot-marlin-firmware-1.1.5.64-1.fc26, python-uranium-lulzbot-2.6.63-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c6fd0ee417

Comment 9 Fedora Update System 2018-01-12 15:51:14 UTC
CuraEngine-lulzbot-2.6.63-1.fc27, cura-lulzbot-2.6.63-1.fc27, lulzbot-marlin-firmware-1.1.5.64-1.fc27, python-uranium-lulzbot-2.6.63-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3c9fddee81

Comment 10 Fedora Update System 2018-01-13 04:04:21 UTC
CuraEngine-lulzbot-2.6.63-1.fc27 cura-lulzbot-2.6.63-2.fc27 lulzbot-marlin-firmware-1.1.5.64-1.fc27 python-uranium-lulzbot-2.6.63-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3c9fddee81

Comment 11 Fedora Update System 2018-01-13 04:04:56 UTC
CuraEngine-lulzbot-2.6.63-1.fc26 cura-lulzbot-2.6.63-2.fc26 lulzbot-marlin-firmware-1.1.5.64-1.fc26 python-uranium-lulzbot-2.6.63-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c6fd0ee417

Comment 12 Fedora Update System 2018-01-14 01:03:52 UTC
CuraEngine-lulzbot-2.6.63-1.fc26, cura-lulzbot-2.6.63-2.fc26, lulzbot-marlin-firmware-1.1.5.64-1.fc26, python-uranium-lulzbot-2.6.63-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c6fd0ee417

Comment 13 Fedora Update System 2018-01-14 01:38:39 UTC
CuraEngine-lulzbot-2.6.63-1.fc27, cura-lulzbot-2.6.63-2.fc27, lulzbot-marlin-firmware-1.1.5.64-1.fc27, python-uranium-lulzbot-2.6.63-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3c9fddee81

Comment 14 Fedora Update System 2018-01-18 14:57:39 UTC
python-uranium-lulzbot-2.6.66-1.fc27 lulzbot-marlin-firmware-1.1.5.70-1.fc27 CuraEngine-lulzbot-2.6.66-1.fc27 cura-lulzbot-2.6.66-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c36a0c632f

Comment 15 Fedora Update System 2018-01-18 14:57:49 UTC
python-uranium-lulzbot-2.6.66-1.fc26 lulzbot-marlin-firmware-1.1.5.70-1.fc26 CuraEngine-lulzbot-2.6.66-1.fc26 cura-lulzbot-2.6.66-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d31ff4112

Comment 16 Fedora Update System 2018-01-18 22:22:56 UTC
CuraEngine-lulzbot-2.6.66-1.fc26, cura-lulzbot-2.6.66-2.fc26, lulzbot-marlin-firmware-1.1.5.70-1.fc26, python-uranium-lulzbot-2.6.66-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0d31ff4112

Comment 17 Fedora Update System 2018-01-19 00:34:15 UTC
CuraEngine-lulzbot-2.6.66-1.fc27, cura-lulzbot-2.6.66-2.fc27, lulzbot-marlin-firmware-1.1.5.70-1.fc27, python-uranium-lulzbot-2.6.66-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c36a0c632f

Comment 18 Fedora Update System 2018-03-14 16:12:45 UTC
lulzbot-marlin-firmware-1.1.5.71-1.fc27 python-uranium-lulzbot-2.6.69-1.fc27 CuraEngine-lulzbot-2.6.69-1.fc27 cura-lulzbot-2.6.69-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-da81ba15ca

Comment 19 Fedora Update System 2018-03-14 16:13:14 UTC
lulzbot-marlin-firmware-1.1.5.71-1.fc26 python-uranium-lulzbot-2.6.69-1.fc26 CuraEngine-lulzbot-2.6.69-1.fc26 cura-lulzbot-2.6.69-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2d2020e0b1

Comment 20 Fedora Update System 2018-03-14 20:07:20 UTC
CuraEngine-lulzbot-2.6.69-1.fc26, cura-lulzbot-2.6.69-1.fc26, lulzbot-marlin-firmware-1.1.5.71-1.fc26, python-uranium-lulzbot-2.6.69-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2d2020e0b1

Comment 21 Fedora Update System 2018-03-14 20:44:50 UTC
CuraEngine-lulzbot-2.6.69-1.fc27, cura-lulzbot-2.6.69-1.fc27, lulzbot-marlin-firmware-1.1.5.71-1.fc27, python-uranium-lulzbot-2.6.69-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-da81ba15ca

Comment 22 Fedora Update System 2018-03-22 16:48:32 UTC
CuraEngine-lulzbot-2.6.69-1.fc26, cura-lulzbot-2.6.69-1.fc26, lulzbot-marlin-firmware-1.1.5.71-1.fc26, python-uranium-lulzbot-2.6.69-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-03-22 16:59:54 UTC
CuraEngine-lulzbot-2.6.69-1.fc27, cura-lulzbot-2.6.69-1.fc27, lulzbot-marlin-firmware-1.1.5.71-1.fc27, python-uranium-lulzbot-2.6.69-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.